#
# $Id: alc_Creatable.py 658 2006-09-30 21:52:09Z AdamJohnso $
#
#    Copyright (C) 2005-2006  Alcugs pyprp Project Team
#    See the file AUTHORS for more info about the team
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#    Please see the file COPYING for the full license.
#    Please see the file DISCLAIMER for more details, before doing nothing.
#

#from alcurutypes import *

class plAGApplicator:
    def __init__(self):
        self.bool = 0
        self.str = 0
    
    def read(self,buf):
        self.bool = buf.ReadBool()
        self.str = buf.ReadSafeString()
    
    
    def write(self,buf):
        buf.WriteBool(self.bool)
        buf.WriteSafeString(self.str)


class plController:
    def __init__(self):
        self.length = 0


class plLeafController(plController):
    def __init__(self):
        plController.__init__(self)
        self.member8 = 0
        self.memberC = [] #hsTArray<plEaseController>
    
    def read(self,buf):
        self.member8 = buf.Read32()
        mcSize = buf.Read32()
        for i in range(mcSize):
            self.memberC[i] = plEaseController()
            self.memberC[i].read(buf)
        buf.Read32()
    
    
    def write(self,buf):
        buf.Write32(self.member8)
        mcSize = len(self.memberC)
        buf.Write32(mcSize)
        for i in range(mcSize):
            self.memberC[i].write(buf)


class plEaseController(plLeafController): #NIE
    def __init__(self):
        plLeafController(self)
        pass
